Fallback preferences are ignored

RESOLVED FIXED in Firefox 54

Status

P1
normal
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: ato, Assigned: ato)

Tracking

({regression})

Version 3
mozilla55
regression
Points:
---

Firefox Tracking Flags

(firefox52 unaffected, firefox-esr52 unaffected, firefox53 wontfix, firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [needs bug 1344748 uplifted first])

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(8 attachments)

(Assignee)

Description

a year ago
The changeset introducing a set of recommended automation preferences to Marionette also renamed many of the preferences used by Marionette in https://bugzilla.mozilla.org/show_bug.cgi?id=1344748.

The logic surrounding fallback to the deprecated preference name is faulty as the preferred preference name always exists through the power of being defined in testing/marionette/prefs.js.  It should instead look at whether the preferred preference is user-defined/modified and fall back to the deprecated pref only if it exists.

This is currently what is preventing trace logs from being emitted.
(Assignee)

Updated

a year ago
Assignee: nobody → ato
Status: NEW → ASSIGNED
(Assignee)

Updated

a year ago
Depends on: 1344748
Keywords: regression
Comment hidden (mozreview-request)

Comment 2

a year ago
mozreview-review
Comment on attachment 8851583 [details]
Bug 1350887 - Fall back to deprecated pref if it exists;

https://reviewboard.mozilla.org/r/123870/#review126314

::: testing/marionette/components/marionette.js:41
(Diff revision 1)
> -  ["debug", Log.Level.Debug],
> +      ["debug", Log.Level.Debug],
> -  ["trace", Log.Level.Trace],
> +      ["trace", Log.Level.Trace],
> -]);
> +    ]);
> +  }
> +
> +  get (s) {

s/s/level/

::: testing/marionette/components/marionette.js:42
(Diff revision 1)
> -  ["trace", Log.Level.Trace],
> +      ["trace", Log.Level.Trace],
> -]);
> +    ]);
> +  }
> +
> +  get (s) {
> +    s = new String(s).toLowerCase();

As long as we do not have to uplift this patch to esr52 I'm fine. Otherwise you really cannot get rid of the boolean values yet.

::: testing/marionette/components/marionette.js:69
(Diff revision 1)
>  const ServerSocket = CC("@mozilla.org/network/server-socket;1",
>      "nsIServerSocket",
>      "initSpecialConnection");
>  
> +// Get preference value of |preferred|, falling back to |fallback|
> +// |preferred| is not user-modified and |fallback| exists.

nit: missing if at the beginning of the second line?
Attachment #8851583 - Flags: review?(hskupin) → review+
(Assignee)

Comment 3

a year ago
mozreview-review-reply
Comment on attachment 8851583 [details]
Bug 1350887 - Fall back to deprecated pref if it exists;

https://reviewboard.mozilla.org/r/123870/#review126314

> s/s/level/

Well it isn’t really the level that is being passed in: it looks up the level type by string (s).  But I see your point that input (and output) argument names should be clearly understandable.  Followed your advice and renamed it ‘level’.

> As long as we do not have to uplift this patch to esr52 I'm fine. Otherwise you really cannot get rid of the boolean values yet.

Noted.

I didn’t plan to uplift it to esr52, although I do intend to uplift it to Aurora and Beta (since https://bugzilla.mozilla.org/show_bug.cgi?id=1344748 is being uplifted too).  The boolean preference value was last used in Firefox 46, which is ancient by now.  I think it’s safe to purge it at this point.

> nit: missing if at the beginning of the second line?

Fixed.
Comment hidden (mozreview-request)

Comment 5

a year ago
mozreview-review-reply
Comment on attachment 8851583 [details]
Bug 1350887 - Fall back to deprecated pref if it exists;

https://reviewboard.mozilla.org/r/123870/#review126314

> Noted.
> 
> I didn’t plan to uplift it to esr52, although I do intend to uplift it to Aurora and Beta (since https://bugzilla.mozilla.org/show_bug.cgi?id=1344748 is being uplifted too).  The boolean preference value was last used in Firefox 46, which is ancient by now.  I think it’s safe to purge it at this point.

Sure, but keep in mind that as long as 45esr is supported we still have to support update tests for 45esr => 52esr.
(Assignee)

Comment 6

a year ago
mozreview-review-reply
Comment on attachment 8851583 [details]
Bug 1350887 - Fall back to deprecated pref if it exists;

https://reviewboard.mozilla.org/r/123870/#review126314

> Sure, but keep in mind that as long as 45esr is supported we still have to support update tests for 45esr => 52esr.

Right, I understand what you’re saying now.  Thanks for the heads up.
Andreas, not sure when you triggered the try build, but it looks like all busted.
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
(Assignee)

Comment 11

a year ago
(In reply to Henrik Skupin (:whimboo) from comment #7)
> Andreas, not sure when you triggered the try build, but it looks like all
> busted.

I suspect the failing test jobs are a result of marionette.force-local/marionette.forcelocal never being set to its correct default in the past.  We were meant to always force local connections, but it was only with the introduction of the default preference values in testing/marionette/prefs.js that it was set undisputedly to true.

This probably caused the insaneSacrificialGoat socket to try to bind to port 666 on try, explaining the NS_ERROR_CONNECTION_REFUSED exception seen in gecko.log.

I added a patch to bind this to port 0, which lets the system define on a safe port to use for the throwaway socket.
Comment hidden (mozreview-request)
(Assignee)

Comment 13

a year ago
I was wrong about my earlier theory.  From the Gecko log:

> [task 2017-03-28T16:29:21.318412Z] 16:29:21     INFO - GECKO(1271) | 1490718561314	Marionette	INFO	Listening on port undefined

This means the port is not correctly being deduced for some reason.

Comment 14

a year ago
mozreview-review
Comment on attachment 8852055 [details]
Bug 1350887 - Bind sacrificial goat to ephemeral port;

https://reviewboard.mozilla.org/r/124286/#review126944
Attachment #8852055 - Flags: review?(hskupin)

Comment 15

a year ago
mozreview-review
Comment on attachment 8852056 [details]
Bug 1350887 - Propagate errors thrown when starting server.TCPListener;

https://reviewboard.mozilla.org/r/124288/#review126946

Wow, this is indeed not that helpful. Good change!
Attachment #8852056 - Flags: review?(hskupin) → review+
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
(Assignee)

Comment 21

a year ago
I added a few debug statements to print the values of some of the prefs from testing/marionette/prefs.js, and the results are puzzling:

> [task 2017-03-29T13:14:54.124389Z] 13:14:54     INFO - GECKO(1274) | marionette.port=undefined
> [task 2017-03-29T13:14:54.124828Z] 13:14:54     INFO - GECKO(1274) | marionette.defaultPrefs.port=undefined
> [task 2017-03-29T13:14:54.126921Z] 13:14:54     INFO - GECKO(1274) | marionette.forcelocal=undefined
> [task 2017-03-29T13:14:54.127170Z] 13:14:54     INFO - GECKO(1274) | marionette.force-local=undefined
> [task 2017-03-29T13:14:54.309024Z] 13:14:54     INFO - GECKO(1274) | 1490793294306	Marionette	 INFO	Listening on port undefined

None of the default pref values are being respected in mochitest or reftests, as can be observed by the https://treeherder.mozilla.org/#/jobs?repo=try&revision=7648635aa20b&selectedJob=87260304 try run.  Perhaps this is an indication that default browser preferences are not installed when running tests in these harnesses?

Comment 22

a year ago
mozreview-review
Comment on attachment 8852057 [details]
Bug 1350887 - Warn when non-loopback connections are allowed;

https://reviewboard.mozilla.org/r/124290/#review127202
Attachment #8852057 - Flags: review?(hskupin) → review+

Comment 23

a year ago
mozreview-review
Comment on attachment 8852055 [details]
Bug 1350887 - Bind sacrificial goat to ephemeral port;

https://reviewboard.mozilla.org/r/124286/#review127204
Attachment #8852055 - Flags: review?(hskupin) → review+
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 46

a year ago
mozreview-review
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128220
Attachment #8852444 - Flags: review?(ted) → review+

Comment 47

a year ago
mozreview-review
Comment on attachment 8852903 [details]
Bug 1350887 - Ensure Marionette prefs file has sensible name;

https://reviewboard.mozilla.org/r/125042/#review128226
Attachment #8852903 - Flags: review?(mjzffr) → review+

Comment 48

a year ago
mozreview-review
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128428

::: browser/installer/package-manifest.in:650
(Diff revision 5)
>  @RESPATH@/browser/@PREF_DIR@/firefox-branding.js
>  @RESPATH@/greprefs.js
>  @RESPATH@/defaults/autoconfig/prefcalls.js
>  @RESPATH@/browser/defaults/permissions
>  @RESPATH@/browser/defaults/blocklists
> +@RESPATH@/defaults/pref/marionette.js

I would propose we make add our prefs file as a separate block with an additional comment.

Would we need an ifdef too? I don't think it should be included by default in all builds. We still don't ship Marionette with opt builds on Android.
(Assignee)

Comment 49

a year ago
mozreview-review-reply
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128428

> I would propose we make add our prefs file as a separate block with an additional comment.
> 
> Would we need an ifdef too? I don't think it should be included by default in all builds. We still don't ship Marionette with opt builds on Android.

Separate block with additional comment isn’t necessary.  What should it say?  That “these are the Marionette prefs”?  I don’t think that’s useful.

We also don’t need an ifdef: Marionette is available in all builds by default, but not enabled.  I don’t think this file is being used on Android.

Comment 50

a year ago
mozreview-review-reply
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128428

> Separate block with additional comment isn’t necessary.  What should it say?  That “these are the Marionette prefs”?  I don’t think that’s useful.
> 
> We also don’t need an ifdef: Marionette is available in all builds by default, but not enabled.  I don’t think this file is being used on Android.

Not everyone knows what Marionette is, and its source is also not part of the base Firefox code but a separate component. It could also quickly explain when those prefs are used. Similar to what you put in the commit message. It would not force someone later to have to query blames in finding more details.

If you think all the above doesn't make any sense, go ahead with what you have.
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
(Assignee)

Comment 58

a year ago
mozreview-review-reply
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128428

> Not everyone knows what Marionette is, and its source is also not part of the base Firefox code but a separate component. It could also quickly explain when those prefs are used. Similar to what you put in the commit message. It would not force someone later to have to query blames in finding more details.
> 
> If you think all the above doesn't make any sense, go ahead with what you have.

Addressed by adding a new commit and a comment referencing its purpose and the list of prefs defined.  I think this resolves the issue.

It’s worth noting that other Marionette references in this file do not carry any references to what Marionette is.
(Assignee)

Updated

a year ago
Priority: -- → P1

Comment 59

a year ago
mozreview-review
Comment on attachment 8854003 [details]
Bug 1350887 - Add general overview documentation to Marionette;

https://reviewboard.mozilla.org/r/125998/#review128592

::: testing/marionette/README:11
(Diff revision 1)
> +DESCRIPTION
> +
> +  Marionette is an automation driver for Mozilla’s Gecko engine.
> +  It can remotely control either the UI or the internal JavaScript of
> +  the Gecko platform, such as Firefox.  It can control both the chrome
> +  context and the content document, giving a high level of control and

It's `chrome and content context`. I wouldn't bring in `document` here.

::: testing/marionette/README:24
(Diff revision 1)
> +  --marionette flag is passed or the marionette.enabled preference is
> +  set to true.
> +
> +  To start Firefox with the remote protocol turned on:
> +
> +  	% firefox --marionette

There are lots of tabs in this file. I don't think those are necessary and that you can reach the same result by just using spaces.
Attachment #8854003 - Flags: review?(hskupin) → review+

Comment 60

a year ago
mozreview-review
Comment on attachment 8852444 [details]
Bug 1350887 - Include Marionette prefs amongst defaults;

https://reviewboard.mozilla.org/r/124676/#review128604

::: testing/marionette/prefs/marionette.js:10
(Diff revision 6)
> +// Marionette is the remote protocol that lets OOP programs communicate
> +// with, instrument, and control Gecko.
> +//
> +// It is included in Firefox, but not enabled by default unless the
> +// --marionette flag is passed or the marionette.enabled preference is
> +// set to true.

With your link to the prefs.js file from package-manifest.in this might not be necessary but we can leave it in.
Attachment #8852444 - Flags: review?(hskupin) → review+
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 68

a year ago
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1438936f7cb6
Ensure Marionette prefs file has sensible name; r=maja_zf
https://hg.mozilla.org/integration/autoland/rev/1d0e49ed42f9
Add general overview documentation to Marionette; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/69db9d3db655
Include Marionette prefs amongst defaults; r=ted,whimboo
https://hg.mozilla.org/integration/autoland/rev/f41bca9ebd0b
Fall back to deprecated pref if it exists; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/f54dbd3d2e62
Bind sacrificial goat to ephemeral port; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/4bdb7f140370
Propagate errors thrown when starting server.TCPListener; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/a47faebbd684
Warn when non-loopback connections are allowed; r=whimboo
Backed out for breaking packaging on OSX:

https://hg.mozilla.org/integration/autoland/rev/223f62fdcfe5acd855fbc6fcbe5bb3f8b7ef9e74
https://hg.mozilla.org/integration/autoland/rev/1af464748f4a1874c66efb03d8fc7d4750263d4a
https://hg.mozilla.org/integration/autoland/rev/02a0f61b5bd1400ed3b796e7c6d806605ef1527b
https://hg.mozilla.org/integration/autoland/rev/02838ca872766c63522ede9bebc8d29fb6c8b83e
https://hg.mozilla.org/integration/autoland/rev/c68909a45262aec5381079b268430e1bc087ddca
https://hg.mozilla.org/integration/autoland/rev/f275ab02c164b8205463f54deb4ae486db454c1c
https://hg.mozilla.org/integration/autoland/rev/fdf821beac48ddadeafe1efc8769a63e4f6492d2

https://hg.mozilla.org/integration/autoland/rev/69db9d3db655a2bfc4195b5dab9a5b5133b1b1d2#l1.14 has "pref" but https://hg.mozilla.org/integration/autoland/rev/69db9d3db655a2bfc4195b5dab9a5b5133b1b1d2#l2.12 "prefs"

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=a47faebbd684ac3fa21b2a671dad143ad5f1a24f&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=88387006&repo=autoland

12:23:39     INFO -  Executing /builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/xpcshell -g /builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/NightlyDebug.app/Contents/Resources -a /builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/NightlyDebug.app/Contents/Resources -f /builds/slave/autoland-m64-d-000000000000000/build/src/toolkit/mozapps/installer/precompile_cache.js -e precompile_startupcache("resource://gre/");
12:23:41     INFO -  [8714] ###!!! ASSERTION: Default pref file not parsed successfully.: 'Error', file /builds/slave/autoland-m64-d-000000000000000/build/src/modules/libpref/Preferences.cpp, line 1185
12:23:41     INFO -  #01: _ZN7mozillaL23pref_InitInitialObjectsEv[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x14ac4e]
12:23:41     INFO -  #02: mozilla::Preferences::Init()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x149bd8]
12:23:41     INFO -  #03: mozilla::Preferences::GetInstanceForService()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x149912]
12:23:41     INFO -  #04: _ZL22PreferencesConstructorP11nsISupportsRK4nsIDPPv[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x159748]
12:23:41     INFO -  #05: nsComponentManagerImpl::CreateInstanceByContractID(char const*, nsISupports*, nsID const&, void**)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfff5c]
12:23:41     INFO -  #06: nsComponentManagerImpl::GetServiceByContractID(char const*, nsID const&, void**)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfbf25]
12:23:41     INFO -  #07: nsGetServiceByContractID::operator()(nsID const&, void**) const[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x10281c]
12:23:41     INFO -  #08: nsChromeRegistryChrome::Init()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x13450b]
12:23:41     INFO -  #09: nsChromeRegistry::GetSingleton()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x1341f9]
12:23:41     INFO -  #10: _ZL27nsChromeRegistryConstructorP11nsISupportsRK4nsIDPPv[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x146f2f]
12:23:41     INFO -  #11: nsComponentManagerImpl::CreateInstanceByContractID(char const*, nsISupports*, nsID const&, void**)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfff5c]
12:23:41     INFO -  #12: nsComponentManagerImpl::GetServiceByContractID(char const*, nsID const&, void**)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfbf25]
12:23:41     INFO -  #13: nsGetServiceByContractID::operator()(nsID const&, void**) const[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x10281c]
12:23:41     INFO -  #14: mozilla::services::GetChromeRegistryService()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x13f880]
12:23:41     INFO -  #15: ParseManifest(NSLocationType, mozilla::FileLocation&, char*, bool, bool)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xf77c3]
12:23:41     INFO -  #16: nsComponentManagerImpl::RegisterManifest(NSLocationType, mozilla::FileLocation&, bool)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfd8e9]
12:23:41     INFO -  #17: nsComponentManagerImpl::ManifestManifest(nsComponentManagerImpl::ManifestProcessingContext&, int, char* const*)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfd9df]
12:23:41     INFO -  #18: ParseManifest(NSLocationType, mozilla::FileLocation&, char*, bool, bool)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xf794c]
12:23:41     INFO -  #19: nsComponentManagerImpl::RegisterManifest(NSLocationType, mozilla::FileLocation&, bool)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfd8e9]
12:23:41     INFO -  #20: nsComponentManagerImpl::Init()[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xfcaec]
12:23:41     INFO -  #21: NS_InitXPCOM2[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0x141a5b]
12:23:41     INFO -  #22: XRE_XPCShellMain(int, char**, char**, XREShellData const*)[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/XUL +0xb86162]
12:23:41     INFO -  #23: main[/builds/slave/autoland-m64-d-000000000000000/build/src/obj-firefox/dist/bin/xpcshell +0x1df7]
12:23:41     INFO -  [8714] ###!!! ASSERTION: Default pref file not parsed successfully.: 'Error', file /builds/slave/autoland-m64-d-000000000000000/build/src/modules/libpref/Preferences.cpp, line 1185
12:23:41     INFO -  Hit MOZ_CRASH() at /builds/slave/autoland-m64-d-000000000000000/build/src/memory/mozalloc/mozalloc_abort.cpp:33
12:24:54     INFO -  Traceback (most recent call last):
12:24:54     INFO -    File "/builds/slave/autoland-m64-d-000000000000000/build/src/toolkit/mozapps/installer/packager.py", line 397, in <module>
12:24:54     INFO -      main()
12:24:54     INFO -    File "/builds/slave/autoland-m64-d-000000000000000/build/src/toolkit/mozapps/installer/packager.py", line 391, in main
12:24:54     INFO -      args.source, gre_path, base)
12:24:54     INFO -    File "/builds/slave/autoland-m64-d-000000000000000/build/src/toolkit/mozapps/installer/packager.py", line 165, in precompile_cache
12:24:54     INFO -      errors.fatal('Error while running startup cache precompilation')
12:24:54     INFO -    File "/builds/slave/autoland-m64-d-000000000000000/build/src/python/mozbuild/mozpack/errors.py", line 103, in fatal
12:24:54     INFO -      self._handle(self.FATAL, msg)
12:24:54     INFO -    File "/builds/slave/autoland-m64-d-000000000000000/build/src/python/mozbuild/mozpack/errors.py", line 98, in _handle
12:24:54     INFO -      raise ErrorMessage(msg)
12:24:54     INFO -  mozpack.errors.ErrorMessage: Error: Error while running startup cache precompilation
12:24:54     INFO -  make[7]: *** [stage-package] Error 1
12:24:54     INFO -  make[6]: *** [make-package] Error 2
12:24:54     INFO -  make[5]: *** [default] Error 2
12:24:54     INFO -  make[4]: *** [package] Error 2
12:24:54     INFO -  make[3]: *** [automation/package] Error 2
12:24:54     INFO -  make[2]: *** [automation/build] Error 2
12:24:54     INFO -  make[1]: *** [realbuild] Error 2
12:24:54     INFO -  make: *** [build] Error 2
Flags: needinfo?(ato)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 75

a year ago
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b915d40a6ba6
Ensure Marionette prefs file has sensible name; r=maja_zf
https://hg.mozilla.org/integration/autoland/rev/d264991a436d
Add general overview documentation to Marionette; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/40cd9ca1553e
Include Marionette prefs amongst defaults; r=ted,whimboo
https://hg.mozilla.org/integration/autoland/rev/4a3d1a8767f7
Fall back to deprecated pref if it exists; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/ec57676ad0d1
Bind sacrificial goat to ephemeral port; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/5a6d5c43135f
Propagate errors thrown when starting server.TCPListener; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/d2b395e6c5c0
Warn when non-loopback connections are allowed; r=whimboo
(Assignee)

Comment 76

a year ago
Sorry about the backout.  This was a mistake in my most recent fixup due to a code review issue.  I must have misspelt the path. )-:

I have submitted another fixup which should resolve the issue.
Flags: needinfo?(ato)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
(Assignee)

Comment 86

a year ago
Again I’m sorry for the backout.  It appears there was a typo in package-manifest.in.  I have rectified this, but before doing another push I will do a full test run.
Flags: needinfo?(ato)

Comment 87

a year ago
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5146b0e10a73
Ensure Marionette prefs file has sensible name; r=maja_zf
https://hg.mozilla.org/integration/autoland/rev/0b1355194d54
Add general overview documentation to Marionette; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/eef96bc84d1f
Include Marionette prefs amongst defaults; r=ted,whimboo
https://hg.mozilla.org/integration/autoland/rev/0a6f238454c3
Fall back to deprecated pref if it exists; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/142552196615
Bind sacrificial goat to ephemeral port; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/2f0db92fbe1b
Propagate errors thrown when starting server.TCPListener; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/12afeda05d47
Warn when non-loopback connections are allowed; r=whimboo
Backed out for failing 541406-1.html with assertion aEditor at IMEContentObserver.cpp:285:

https://hg.mozilla.org/integration/autoland/rev/f779b63bb5238c86bc6f034ede16bc5629174614
https://hg.mozilla.org/integration/autoland/rev/8c60a659beab2e590e93bb8f0939af02a07bb321
https://hg.mozilla.org/integration/autoland/rev/e2b4c58a0a03bcb57f7ae614ef50941b94d7c188
https://hg.mozilla.org/integration/autoland/rev/19edf9deb376c649891c5da797d20920e43b245c
https://hg.mozilla.org/integration/autoland/rev/863a14c849aa593c0e755a8c63584b6f31fc1842
https://hg.mozilla.org/integration/autoland/rev/917d14c79f2bf7e64c058b8d09179c3f7149520f
https://hg.mozilla.org/integration/autoland/rev/1ffea69634372b3c03d2a76d775b10ce00c7764a

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=12afeda05d4759b67b9dc82b1f1fee7957ce77c4&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=88573676&repo=autoland

[task 2017-04-04T13:48:28.180516Z] 13:48:28     INFO - REFTEST TEST-START | file:///home/worker/workspace/build/tests/reftest/tests/layout/reftests/bugs/541406-1.html == file:///home/worker/workspace/build/tests/reftest/tests/layout/reftests/bugs/541406-1-ref.html
[task 2017-04-04T13:48:28.181880Z] 13:48:28     INFO - REFTEST TEST-LOAD | file:///home/worker/workspace/build/tests/reftest/tests/layout/reftests/bugs/541406-1.html | 1850 / 1885 (98%)
[task 2017-04-04T13:48:28.186684Z] 13:48:28     INFO - ++DOMWINDOW == 119 (0x7f2c25a6b800) [pid = 1007] [serial = 5243] [outer = 0x7f2c2ef50800]
[task 2017-04-04T13:48:28.207057Z] 13:48:28     INFO - For application/x-test found plugin libnptest.so
[task 2017-04-04T13:48:28.223408Z] 13:48:28     INFO - Assertion failure: aEditor, at /home/worker/workspace/build/src/dom/events/IMEContentObserver.cpp:285
[task 2017-04-04T13:48:28.224145Z] 13:48:28     INFO - #01: mozilla::IMEContentObserver::Init [dom/events/IMEContentObserver.cpp:218]
[task 2017-04-04T13:48:28.224700Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.225463Z] 13:48:28     INFO - #02: mozilla::IMEStateManager::CreateIMEContentObserver [dom/events/IMEStateManager.cpp:1594]
[task 2017-04-04T13:48:28.226458Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.227889Z] 13:48:28     INFO - #03: mozilla::IMEStateManager::OnChangeFocusInternal [dom/events/IMEStateManager.cpp:533]
[task 2017-04-04T13:48:28.228603Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.230165Z] 13:48:28     INFO - #04: mozilla::IMEStateManager::OnChangeFocus [dom/events/IMEStateManager.cpp:377]
[task 2017-04-04T13:48:28.231239Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.232046Z] 13:48:28     INFO - #05: nsFocusManager::Focus [dom/base/nsFocusManager.cpp:1938]
[task 2017-04-04T13:48:28.232877Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.233713Z] 13:48:28     INFO - #06: nsFocusManager::SetFocusInner [dom/base/nsFocusManager.cpp:1355]
[task 2017-04-04T13:48:28.234418Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.235015Z] 13:48:28     INFO - #07: nsFocusManager::SetFocus [dom/base/nsFocusManager.cpp:488]
[task 2017-04-04T13:48:28.235972Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.236884Z] 13:48:28     INFO - #08: mozilla::dom::Element::Focus [dom/bindings/ErrorResult.h:375]
[task 2017-04-04T13:48:28.237661Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.238742Z] 13:48:28     INFO - #09: mozilla::dom::HTMLElementBinding::focus [obj-firefox/dom/bindings/HTMLElementBinding.cpp:463]
[task 2017-04-04T13:48:28.240494Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.241077Z] 13:48:28     INFO - #10: mozilla::dom::GenericBindingMethod [dom/bindings/BindingUtils.cpp:2955]
[task 2017-04-04T13:48:28.241699Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.241881Z] 13:48:28     INFO - #11: js::CallJSNative [js/src/jscntxtinlines.h:291]
[task 2017-04-04T13:48:28.242520Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.243485Z] 13:48:28     INFO - #12: js::InternalCallOrConstruct [js/src/vm/Interpreter.cpp:455]
[task 2017-04-04T13:48:28.244245Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.245070Z] 13:48:28     INFO - #13: Interpret [js/src/vm/Interpreter.cpp:2997]
[task 2017-04-04T13:48:28.245738Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.246249Z] 13:48:28     INFO - #14: js::RunScript [js/src/vm/Interpreter.cpp:366]
[task 2017-04-04T13:48:28.247220Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.248090Z] 13:48:28     INFO - #15: js::InternalCallOrConstruct [js/src/vm/Interpreter.cpp:473]
[task 2017-04-04T13:48:28.248850Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.249716Z] 13:48:28     INFO - #16: js::Call [js/src/vm/Interpreter.cpp:519]
[task 2017-04-04T13:48:28.250475Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.251359Z] 13:48:28     INFO - #17: JS::Call [js/src/jsapi.cpp:2897]
[task 2017-04-04T13:48:28.251885Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.252958Z] 13:48:28     INFO - #18: mozilla::dom::EventHandlerNonNull::Call [obj-firefox/dom/bindings/EventHandlerBinding.cpp:260]
[task 2017-04-04T13:48:28.253581Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.254199Z] 13:48:28     INFO - #19: mozilla::JSEventHandler::HandleEvent [obj-firefox/dist/include/mozilla/dom/EventHandlerBinding.h:357]
[task 2017-04-04T13:48:28.255046Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.255877Z] 13:48:28     INFO - #20: mozilla::EventListenerManager::HandleEventSubType [dom/events/EventListenerManager.cpp:1125]
[task 2017-04-04T13:48:28.256395Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.257122Z] 13:48:28     INFO - #21: mozilla::EventListenerManager::HandleEventInternal [dom/events/EventListenerManager.cpp:1297]
[task 2017-04-04T13:48:28.257171Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.257797Z] 13:48:28     INFO - #22: mozilla::EventTargetChainItem::HandleEvent [dom/events/EventListenerManager.h:375]
[task 2017-04-04T13:48:28.257919Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.258481Z] 13:48:28     INFO - #23: mozilla::EventTargetChainItem::HandleEventTargetChain [dom/events/EventDispatcher.cpp:466]
[task 2017-04-04T13:48:28.259101Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.259186Z] 13:48:28     INFO - #24: mozilla::EventDispatcher::Dispatch [dom/events/EventDispatcher.cpp:832]
[task 2017-04-04T13:48:28.259867Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.260043Z] 13:48:28     INFO - #25: nsDocumentViewer::LoadComplete [layout/base/nsDocumentViewer.cpp:1044]
[task 2017-04-04T13:48:28.260553Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.261247Z] 13:48:28     INFO - #26: nsDocShell::EndPageLoad [docshell/base/nsDocShell.cpp:7672]
[task 2017-04-04T13:48:28.261319Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.261927Z] 13:48:28     INFO - #27: nsDocShell::OnStateChange [docshell/base/nsDocShell.cpp:7465]
[task 2017-04-04T13:48:28.262000Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.262620Z] 13:48:28     INFO - #28: nsDocLoader::DoFireOnStateChange [uriloader/base/nsDocLoader.cpp:1276]
[task 2017-04-04T13:48:28.262731Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.263307Z] 13:48:28     INFO - #29: nsDocLoader::doStopDocumentLoad [uriloader/base/nsDocLoader.cpp:859]
[task 2017-04-04T13:48:28.263965Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.264081Z] 13:48:28     INFO - #30: nsDocLoader::DocLoaderIsEmpty [uriloader/base/nsDocLoader.cpp:751]
[task 2017-04-04T13:48:28.264658Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.265361Z] 13:48:28     INFO - #31: nsDocLoader::OnStopRequest [uriloader/base/nsDocLoader.cpp:631]
[task 2017-04-04T13:48:28.265433Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.266068Z] 13:48:28     INFO - #32: mozilla::net::nsLoadGroup::RemoveRequest [netwerk/base/nsLoadGroup.cpp:631]
[task 2017-04-04T13:48:28.266118Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.266730Z] 13:48:28     INFO - #33: nsDocument::DoUnblockOnload [dom/base/nsDocument.cpp:8890]
[task 2017-04-04T13:48:28.266853Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.267431Z] 13:48:28     INFO - #34: nsDocument::UnblockOnload [dom/base/nsDocument.cpp:8815]
[task 2017-04-04T13:48:28.268101Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.268191Z] 13:48:28     INFO - #35: nsDocument::DispatchContentLoadedEvents [dom/base/nsDocument.cpp:5221]
[task 2017-04-04T13:48:28.268775Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.269530Z] 13:48:28     INFO - #36: mozilla::detail::RunnableMethodImpl<nsDocument*, void (nsDocument::*)(), true, false>::Run [xpcom/threads/nsThreadUtils.h:902]
[task 2017-04-04T13:48:28.269580Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.270164Z] 13:48:28     INFO - #37: nsThread::ProcessNextEvent [mfbt/Maybe.h:445]
[task 2017-04-04T13:48:28.270235Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.270861Z] 13:48:28     INFO - #38: NS_ProcessNextEvent [xpcom/threads/nsThreadUtils.cpp:389]
[task 2017-04-04T13:48:28.270935Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.271577Z] 13:48:28     INFO - #39: mozilla::ipc::MessagePump::Run [ipc/glue/MessagePump.cpp:97]
[task 2017-04-04T13:48:28.272213Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.272305Z] 13:48:28     INFO - #40: MessageLoop::RunInternal [ipc/chromium/src/base/message_loop.cc:239]
[task 2017-04-04T13:48:28.272888Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.273063Z] 13:48:28     INFO - #41: MessageLoop::Run [ipc/chromium/src/base/message_loop.cc:505]
[task 2017-04-04T13:48:28.273604Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.274272Z] 13:48:28     INFO - #42: nsBaseAppShell::Run [widget/nsBaseAppShell.cpp:158]
[task 2017-04-04T13:48:28.274344Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.274987Z] 13:48:28     INFO - #43: nsAppStartup::Run [toolkit/components/startup/nsAppStartup.cpp:284]
[task 2017-04-04T13:48:28.275064Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.275662Z] 13:48:28     INFO - #44: XREMain::XRE_mainRun [toolkit/xre/nsAppRunner.cpp:4521]
[task 2017-04-04T13:48:28.276338Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.276403Z] 13:48:28     INFO - #45: XREMain::XRE_main [toolkit/xre/nsAppRunner.cpp:4700]
[task 2017-04-04T13:48:28.276994Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.277150Z] 13:48:28     INFO - #46: XRE_main [toolkit/xre/nsAppRunner.cpp:4791]
[task 2017-04-04T13:48:28.277735Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.278392Z] 13:48:28     INFO - #47: do_main [browser/app/nsBrowserApp.cpp:236]
[task 2017-04-04T13:48:28.278464Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.279095Z] 13:48:28     INFO - #48: main [browser/app/nsBrowserApp.cpp:309]
[task 2017-04-04T13:48:28.279143Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.279760Z] 13:48:28     INFO - #49: libc.so.6 + 0x20830
[task 2017-04-04T13:48:28.279915Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.280433Z] 13:48:28     INFO - #50: _start
[task 2017-04-04T13:48:28.281111Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.281230Z] 13:48:28     INFO - ExceptionHandler::GenerateDump cloned child 1091
[task 2017-04-04T13:48:28.281828Z] 13:48:28     INFO - ExceptionHandler::SendContinueSignalToChild sent continue signal to child
[task 2017-04-04T13:48:28.282451Z] 13:48:28     INFO - ExceptionHandler::WaitForContinueSignal waiting for continue signal...
[task 2017-04-04T13:48:28.391528Z] 13:48:28     INFO - Hit MOZ_CRASH(Aborting on channel error.) at /home/worker/workspace/build/src/ipc/glue/MessageChannel.cpp:2280
[task 2017-04-04T13:48:28.399078Z] 13:48:28     INFO - #01: mozilla::ipc::ProcessLink::OnChannelError [ipc/glue/MessageLink.cpp:368]
[task 2017-04-04T13:48:28.399113Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.399161Z] 13:48:28     INFO - #02: event_base_loop [ipc/chromium/src/third_party/libevent/event.c:1319]
[task 2017-04-04T13:48:28.399185Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.399233Z] 13:48:28     INFO - #03: base::MessagePumpLibevent::Run [ipc/chromium/src/base/message_pump_libevent.cc:381]
[task 2017-04-04T13:48:28.399256Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.399301Z] 13:48:28     INFO - #04: MessageLoop::RunInternal [ipc/chromium/src/base/message_loop.cc:239]
[task 2017-04-04T13:48:28.399323Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.399366Z] 13:48:28     INFO - #05: MessageLoop::Run [ipc/chromium/src/base/message_loop.cc:505]
[task 2017-04-04T13:48:28.399390Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.399431Z] 13:48:28     INFO - #06: base::Thread::ThreadMain [ipc/chromium/src/base/thread.cc:182]
[task 2017-04-04T13:48:28.399459Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.407078Z] 13:48:28     INFO - #07: ThreadFunc [ipc/chromium/src/base/platform_thread_posix.cc:40]
[task 2017-04-04T13:48:28.407111Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.407143Z] 13:48:28     INFO - #08: libpthread.so.0 + 0x76ba
[task 2017-04-04T13:48:28.407167Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.407195Z] 13:48:28     INFO - #09: libc.so.6 + 0x10682d
[task 2017-04-04T13:48:28.407217Z] 13:48:28     INFO - 
[task 2017-04-04T13:48:28.407244Z] 13:48:28     INFO - #10: ??? (???:???)
[task 2017-04-04T13:48:28.535259Z] 13:48:28     INFO - TEST-UNEXPECTED-FAIL | file:///home/worker/workspace/build/tests/reftest/tests/layout/reftests/bugs/541406-1.html | application terminated with exit code 11
[task 2017-04-04T13:48:28.536597Z] 13:48:28     INFO - REFTEST INFO | Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpxN0RMI.mozrunner/minidumps/1950a0b6-5863-aeb7-9b3f-3568eeff175e.dmp /home/worker/workspace/build/symbols
[task 2017-04-04T13:48:35.821504Z] 13:48:35     INFO - REFTEST INFO | Saved minidump as /home/worker/workspace/build/blobber_upload_dir/1950a0b6-5863-aeb7-9b3f-3568eeff175e.dmp
[task 2017-04-04T13:48:35.821656Z] 13:48:35     INFO - REFTEST INFO | Saved app info as /home/worker/workspace/build/blobber_upload_dir/1950a0b6-5863-aeb7-9b3f-3568eeff175e.extra
[task 2017-04-04T13:48:36.269298Z] 13:48:36     INFO - REFTEST PROCESS-CRASH | file:///home/worker/workspace/build/tests/reftest/tests/layout/reftests/bugs/541406-1.html | application crashed [@ mozilla::IMEContentObserver::InitWithEditor]
[task 2017-04-04T13:48:36.270742Z] 13:48:36     INFO - Crash dump filename: /tmp/tmpxN0RMI.mozrunner/minidumps/1950a0b6-5863-aeb7-9b3f-3568eeff175e.dmp
[task 2017-04-04T13:48:36.271726Z] 13:48:36     INFO - Operating system: Linux
[task 2017-04-04T13:48:36.272766Z] 13:48:36     INFO -                   0.0.0 Linux 3.13.0-112-generic #159-Ubuntu SMP Fri Mar 3 15:26:07 UTC 2017 x86_64
[task 2017-04-04T13:48:36.273765Z] 13:48:36     INFO - CPU: amd64
[task 2017-04-04T13:48:36.274749Z] 13:48:36     INFO -      family 6 model 62 stepping 4
[task 2017-04-04T13:48:36.275738Z] 13:48:36     INFO -      2 CPUs
[task 2017-04-04T13:48:36.276705Z] 13:48:36     INFO - 
[task 2017-04-04T13:48:36.277669Z] 13:48:36     INFO - GPU: UNKNOWN
[task 2017-04-04T13:48:36.278642Z] 13:48:36     INFO - 
[task 2017-04-04T13:48:36.279628Z] 13:48:36     INFO - Crash reason:  SIGSEGV
[task 2017-04-04T13:48:36.280555Z] 13:48:36     INFO - Crash address: 0x0
[task 2017-04-04T13:48:36.282010Z] 13:48:36     INFO - Process uptime: not available
[task 2017-04-04T13:48:36.282922Z] 13:48:36     INFO - 
[task 2017-04-04T13:48:36.283876Z] 13:48:36     INFO - Thread 0 (crashed)
[task 2017-04-04T13:48:36.284808Z] 13:48:36     INFO -  0  libxul.so!mozilla::IMEContentObserver::InitWithEditor [nsCOMPtr.h:12afeda05d47 : 762 + 0x1d]
[task 2017-04-04T13:48:36.285791Z] 13:48:36     INFO -     rax = 0x0000000000000000   rdx = 0x0000000000000000
[task 2017-04-04T13:48:36.286730Z] 13:48:36     INFO -     rcx = 0x00007f2c601376fd   rbx = 0x00007f2c23c2abd0
[task 2017-04-04T13:48:36.287715Z] 13:48:36     INFO -     rsi = 0x00007f2c60406770   rdi = 0x00007f2c60405540
[task 2017-04-04T13:48:36.288655Z] 13:48:36     INFO -     rbp = 0x00007ffd5c33a0a0   rsp = 0x00007ffd5c33a020
[task 2017-04-04T13:48:36.289637Z] 13:48:36     INFO -      r8 = 0x00007f2c60406770    r9 = 0x00007f2c614ce740
[task 2017-04-04T13:48:36.290566Z] 13:48:36     INFO -     r10 = 0x000000000000004a   r11 = 0x0000000000000000
[task 2017-04-04T13:48:36.291533Z] 13:48:36     INFO -     r12 = 0x0000000000000000   r13 = 0x0000000000000001
[task 2017-04-04T13:48:36.292485Z] 13:48:36     INFO -     r14 = 0x00007f2c334e8ca0   r15 = 0x00007ffd5c33a0c0
[task 2017-04-04T13:48:36.293446Z] 13:48:36     INFO -     rip = 0x00007f2c518d0d8e
[task 2017-04-04T13:48:36.294379Z] 13:48:36     INFO -     Found by: given as instruction pointer in context
[task 2017-04-04T13:48:36.295367Z] 13:48:36     INFO -  1  libxul.so!mozilla::IMEContentObserver::Init [IMEContentObserver.cpp:12afeda05d47 : 218 + 0x12]
[task 2017-04-04T13:48:36.296351Z] 13:48:36     INFO -     rbx = 0x00007f2c23c2abd0   rbp = 0x00007ffd5c33a130
[task 2017-04-04T13:48:36.297342Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a0b0   r12 = 0x00007f2c259da800
[task 2017-04-04T13:48:36.298280Z] 13:48:36     INFO -     r13 = 0x0000000000000001   r14 = 0x00007f2c334e8ca0
[task 2017-04-04T13:48:36.299212Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33a0c0   rip = 0x00007f2c518d1029
[task 2017-04-04T13:48:36.300164Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.301159Z] 13:48:36     INFO -  2  libxul.so!mozilla::IMEStateManager::CreateIMEContentObserver [IMEStateManager.cpp:12afeda05d47 : 1595 + 0x1d]
[task 2017-04-04T13:48:36.302106Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33a160   rbp = 0x00007ffd5c33a1d0
[task 2017-04-04T13:48:36.303053Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a140   r12 = 0x00007ffd5c33a158
[task 2017-04-04T13:48:36.304003Z] 13:48:36     INFO -     r13 = 0x00007f2c259da800   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.304934Z] 13:48:36     INFO -     r15 = 0x00007f2c334e8ca0   rip = 0x00007f2c518d140c
[task 2017-04-04T13:48:36.305857Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.306820Z] 13:48:36     INFO -  3  libxul.so!mozilla::IMEStateManager::OnChangeFocusInternal [IMEStateManager.cpp:12afeda05d47 : 532 + 0x7]
[task 2017-04-04T13:48:36.307760Z] 13:48:36     INFO -     rbx = 0x00007f2c259da800   rbp = 0x00007ffd5c33a2b0
[task 2017-04-04T13:48:36.308714Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a1e0   r12 = 0x00007f2c334e8ca0
[task 2017-04-04T13:48:36.309636Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f2c2ef50801
[task 2017-04-04T13:48:36.310588Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c518db113
[task 2017-04-04T13:48:36.311527Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.312504Z] 13:48:36     INFO -  4  libxul.so!mozilla::IMEStateManager::OnChangeFocus [IMEStateManager.cpp:12afeda05d47 : 376 + 0xb]
[task 2017-04-04T13:48:36.313425Z] 13:48:36     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd5c33a2f0
[task 2017-04-04T13:48:36.314364Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a2c0   r12 = 0x00007f2c259da800
[task 2017-04-04T13:48:36.315316Z] 13:48:36     INFO -     r13 = 0x00007f2c334e8ca0   r14 = 0x00007f2c2ef50820
[task 2017-04-04T13:48:36.316241Z] 13:48:36     INFO -     r15 = 0x00007f2c25eac000   rip = 0x00007f2c518db28c
[task 2017-04-04T13:48:36.317192Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.318119Z] 13:48:36     INFO -  5  libxul.so!nsFocusManager::Focus [nsFocusManager.cpp:12afeda05d47 : 1933 + 0x1c]
[task 2017-04-04T13:48:36.319066Z] 13:48:36     INFO -     rbx = 0x00007f2c48d02b70   rbp = 0x00007ffd5c33a3f0
[task 2017-04-04T13:48:36.319994Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a300   r12 = 0x00007f2c334e8ca0
[task 2017-04-04T13:48:36.320931Z] 13:48:36     INFO -     r13 = 0x00007f2c2ef50820   r14 = 0x00007f2c2ef50820
[task 2017-04-04T13:48:36.321881Z] 13:48:36     INFO -     r15 = 0x00007f2c25eac000   rip = 0x00007f2c511777ca
[task 2017-04-04T13:48:36.322799Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.323781Z] 13:48:36     INFO -  6  libxul.so!nsFocusManager::SetFocusInner [nsFocusManager.cpp:12afeda05d47 : 1355 + 0x32]
[task 2017-04-04T13:48:36.324711Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33a468   rbp = 0x00007ffd5c33a540
[task 2017-04-04T13:48:36.325649Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a400   r12 = 0x0000000000000000
[task 2017-04-04T13:48:36.326590Z] 13:48:36     INFO -     r13 = 0x0000000000000001   r14 = 0x00007f2c2cd2b901
[task 2017-04-04T13:48:36.327529Z] 13:48:36     INFO -     r15 = 0x00007f2c48d02b70   rip = 0x00007f2c51179c97
[task 2017-04-04T13:48:36.328474Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.329440Z] 13:48:36     INFO -  7  libxul.so!nsFocusManager::SetFocus [nsFocusManager.cpp:12afeda05d47 : 486 + 0x5]
[task 2017-04-04T13:48:36.330355Z] 13:48:36     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd5c33a580
[task 2017-04-04T13:48:36.331303Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a550   r12 = 0x00007ffd5c33a558
[task 2017-04-04T13:48:36.332250Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f2c334e8d20
[task 2017-04-04T13:48:36.333187Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33a650   rip = 0x00007f2c5117a155
[task 2017-04-04T13:48:36.334158Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.335091Z] 13:48:36     INFO -  8  libxul.so!mozilla::dom::Element::Focus [Element.cpp:12afeda05d47 : 311 + 0x9]
[task 2017-04-04T13:48:36.336053Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33a598   rbp = 0x00007ffd5c33a5b0
[task 2017-04-04T13:48:36.336993Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a590   r12 = 0x00007ffd5c33a5c0
[task 2017-04-04T13:48:36.337919Z] 13:48:36     INFO -     r13 = 0x00007f2c334e8ca0   r14 = 0x00007ffd5c33a640
[task 2017-04-04T13:48:36.338874Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33a650   rip = 0x00007f2c510be77f
[task 2017-04-04T13:48:36.339813Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.340773Z] 13:48:36     INFO -  9  libxul.so!mozilla::dom::HTMLElementBinding::focus [HTMLElementBinding.cpp:12afeda05d47 : 462 + 0x10]
[task 2017-04-04T13:48:36.341725Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33a5c0   rbp = 0x00007ffd5c33a600
[task 2017-04-04T13:48:36.342650Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a5c0   r12 = 0x00007f2c4b963000
[task 2017-04-04T13:48:36.343621Z] 13:48:36     INFO -     r13 = 0x00007f2c334e8ca0   r14 = 0x00007ffd5c33a640
[task 2017-04-04T13:48:36.344578Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33a650   rip = 0x00007f2c5170fd24
[task 2017-04-04T13:48:36.345492Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.346459Z] 13:48:36     INFO - 10  libxul.so!mozilla::dom::GenericBindingMethod [BindingUtils.cpp:12afeda05d47 : 2953 + 0x6]
[task 2017-04-04T13:48:36.347462Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ab01   rbp = 0x00007ffd5c33a6b0
[task 2017-04-04T13:48:36.349484Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a610   r12 = 0x00007f2c554a3050
[task 2017-04-04T13:48:36.350299Z] 13:48:36     INFO -     r13 = 0x00000000000000da   r14 = 0x00007ffd5c33a668
[task 2017-04-04T13:48:36.351094Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33a650   rip = 0x00007f2c517b762a
[task 2017-04-04T13:48:36.351800Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.352537Z] 13:48:36     INFO - 11  libxul.so!js::CallJSNative [jscntxtinlines.h:12afeda05d47 : 291 + 0x6]
[task 2017-04-04T13:48:36.353275Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ab60   rbp = 0x00007ffd5c33a710
[task 2017-04-04T13:48:36.353968Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a6c0   r12 = 0x00007f2c4b963000
[task 2017-04-04T13:48:36.354632Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33a6d0   r14 = 0x00007f2c517b74d0
[task 2017-04-04T13:48:36.355394Z] 13:48:36     INFO -     r15 = 0x00007f2c48efa1a8   rip = 0x00007f2c52ecc8c1
[task 2017-04-04T13:48:36.356077Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.356782Z] 13:48:36     INFO - 12  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:12afeda05d47 : 455 + 0x12]
[task 2017-04-04T13:48:36.357481Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ab60   rbp = 0x00007ffd5c33a7d0
[task 2017-04-04T13:48:36.358202Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a720   r12 = 0x00007f2c4b963000
[task 2017-04-04T13:48:36.358911Z] 13:48:36     INFO -     r13 = 0x00007f2c4b973000   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.359606Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c52eed946
[task 2017-04-04T13:48:36.360276Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.360975Z] 13:48:36     INFO - 13  libxul.so!Interpret [Interpreter.cpp:12afeda05d47 : 506 + 0xf]
[task 2017-04-04T13:48:36.361683Z] 13:48:36     INFO -     rbx = 0x00007f2c4b963000   rbp = 0x00007ffd5c33ad40
[task 2017-04-04T13:48:36.362405Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33a7e0   r12 = 0x00007f2c48efa198
[task 2017-04-04T13:48:36.363111Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007ffd5c33aea0
[task 2017-04-04T13:48:36.363818Z] 13:48:36     INFO -     r15 = 0x00007f2c4b963020   rip = 0x00007f2c52ee03da
[task 2017-04-04T13:48:36.364614Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.365324Z] 13:48:36     INFO - 14  libxul.so!js::RunScript [Interpreter.cpp:12afeda05d47 : 395 + 0xb]
[task 2017-04-04T13:48:36.366033Z] 13:48:36     INFO -     rbx = 0x00007f2c4b963000   rbp = 0x00007ffd5c33ae50
[task 2017-04-04T13:48:36.366729Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33ad50   r12 = 0x00007ffd5c33ad80
[task 2017-04-04T13:48:36.367733Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33aea0   r14 = 0x00007ffd5c33ad70
[task 2017-04-04T13:48:36.368424Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33ad60   rip = 0x00007f2c52eed51b
[task 2017-04-04T13:48:36.369117Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.369840Z] 13:48:36     INFO - 15  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:12afeda05d47 : 473 + 0xb]
[task 2017-04-04T13:48:36.370549Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33afd0   rbp = 0x00007ffd5c33af10
[task 2017-04-04T13:48:36.371255Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33ae60   r12 = 0x00007f2c4b963000
[task 2017-04-04T13:48:36.371965Z] 13:48:36     INFO -     r13 = 0x00007f2c4b973000   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.372664Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33aea0   rip = 0x00007f2c52eedb31
[task 2017-04-04T13:48:36.373361Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.374033Z] 13:48:36     INFO - 16  libxul.so!js::Call [Interpreter.cpp:12afeda05d47 : 519 + 0x5]
[task 2017-04-04T13:48:36.374740Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33afd0   rbp = 0x00007ffd5c33af30
[task 2017-04-04T13:48:36.375420Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33af20   r12 = 0x00007ffd5c33b100
[task 2017-04-04T13:48:36.376137Z] 13:48:36     INFO -     r13 = 0x00007f2c4b963000   r14 = 0x00007ffd5c33b2e8
[task 2017-04-04T13:48:36.376866Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33afd0   rip = 0x00007f2c52eedfbe
[task 2017-04-04T13:48:36.377556Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.378249Z] 13:48:36     INFO - 17  libxul.so!JS::Call [jsapi.cpp:12afeda05d47 : 2897 + 0x1c]
[task 2017-04-04T13:48:36.378977Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33af50   rbp = 0x00007ffd5c33b0a0
[task 2017-04-04T13:48:36.379654Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33af40   r12 = 0x0000000000000001
[task 2017-04-04T13:48:36.380351Z] 13:48:36     INFO -     r13 = 0x00007f2c4b963000   r14 = 0x00007ffd5c33b2e8
[task 2017-04-04T13:48:36.381062Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33afd0   rip = 0x00007f2c532eb6ad
[task 2017-04-04T13:48:36.381762Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.382784Z] 13:48:36     INFO - 18  libxul.so!mozilla::dom::EventHandlerNonNull::Call [EventHandlerBinding.cpp:12afeda05d47 : 261 + 0x21]
[task 2017-04-04T13:48:36.383480Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33b138   rbp = 0x00007ffd5c33b1f0
[task 2017-04-04T13:48:36.384175Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b0b0   r12 = 0x00007ffd5c33b108
[task 2017-04-04T13:48:36.384899Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33b120   r14 = 0x00007f2c25843040
[task 2017-04-04T13:48:36.385610Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33b0d8   rip = 0x00007f2c51688d30
[task 2017-04-04T13:48:36.386293Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.387011Z] 13:48:36     INFO - 19  libxul.so!mozilla::JSEventHandler::HandleEvent [EventHandlerBinding.h:12afeda05d47 : 362 + 0x1f]
[task 2017-04-04T13:48:36.387729Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33b2e8   rbp = 0x00007ffd5c33b560
[task 2017-04-04T13:48:36.388403Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b200   r12 = 0x00007ffd5c33b2c8
[task 2017-04-04T13:48:36.389106Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33b2d8   r14 = 0x00007f2c25843040
[task 2017-04-04T13:48:36.389808Z] 13:48:36     INFO -     r15 = 0x00007f2c24b15760   rip = 0x00007f2c518d0652
[task 2017-04-04T13:48:36.390500Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.391259Z] 13:48:36     INFO - 20  libxul.so!mozilla::EventListenerManager::HandleEventSubType [EventListenerManager.cpp:12afeda05d47 : 1123 + 0x14]
[task 2017-04-04T13:48:36.391964Z] 13:48:36     INFO -     rbx = 0x00007f2c287d0280   rbp = 0x00007ffd5c33b5d0
[task 2017-04-04T13:48:36.392672Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b570   r12 = 0x00007f2c24b15760
[task 2017-04-04T13:48:36.393366Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33b970   r14 = 0x00007ffd5c33b588
[task 2017-04-04T13:48:36.394071Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c518d3e67
[task 2017-04-04T13:48:36.394783Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.395519Z] 13:48:36     INFO - 21  libxul.so!mozilla::EventListenerManager::HandleEventInternal [EventListenerManager.cpp:12afeda05d47 : 1297 + 0x16]
[task 2017-04-04T13:48:36.396220Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ba90   rbp = 0x00007ffd5c33b830
[task 2017-04-04T13:48:36.396929Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b5e0   r12 = 0x00007f2c287d0280
[task 2017-04-04T13:48:36.397653Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33b970   r14 = 0x00007f2c287d02b0
[task 2017-04-04T13:48:36.398351Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c518d47eb
[task 2017-04-04T13:48:36.399016Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.399767Z] 13:48:36     INFO - 22  libxul.so!mozilla::EventTargetChainItem::HandleEvent [EventListenerManager.h:12afeda05d47 : 375 + 0xa]
[task 2017-04-04T13:48:36.400460Z] 13:48:36     INFO -     rbx = 0x00007f2c3c904008   rbp = 0x00007ffd5c33b860
[task 2017-04-04T13:48:36.401163Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b840   r12 = 0x00007ffd5c33b960
[task 2017-04-04T13:48:36.401861Z] 13:48:36     INFO -     r13 = 0x00007f2c287d0280   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.402587Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33b960   rip = 0x00007f2c518d4aa2
[task 2017-04-04T13:48:36.403280Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.404012Z] 13:48:36     INFO - 23  libxul.so!mozilla::EventTargetChainItem::HandleEventTargetChain [EventDispatcher.cpp:12afeda05d47 : 466 + 0xf]
[task 2017-04-04T13:48:36.404722Z] 13:48:36     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd5c33b8d0
[task 2017-04-04T13:48:36.405417Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b870   r12 = 0x00007ffd5c33b930
[task 2017-04-04T13:48:36.406115Z] 13:48:36     INFO -     r13 = 0x00007f2c3c904008   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.406812Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33b960   rip = 0x00007f2c518d4d12
[task 2017-04-04T13:48:36.407498Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.408514Z] 13:48:36     INFO - 24  libxul.so!mozilla::EventDispatcher::Dispatch [EventDispatcher.cpp:12afeda05d47 : 828 + 0x5]
[task 2017-04-04T13:48:36.409209Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ba90   rbp = 0x00007ffd5c33ba00
[task 2017-04-04T13:48:36.409901Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33b8e0   r12 = 0x0000000000000000
[task 2017-04-04T13:48:36.410604Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33b960   r14 = 0x00007ffd5c33b930
[task 2017-04-04T13:48:36.411300Z] 13:48:36     INFO -     r15 = 0x0000000000000005   rip = 0x00007f2c518d5669
[task 2017-04-04T13:48:36.411977Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.412698Z] 13:48:36     INFO - 25  libxul.so!nsDocumentViewer::LoadComplete [nsDocumentViewer.cpp:12afeda05d47 : 1043 + 0x22]
[task 2017-04-04T13:48:36.413410Z] 13:48:36     INFO -     rbx = 0x00007f2c242a3090   rbp = 0x00007ffd5c33bb20
[task 2017-04-04T13:48:36.414103Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33ba10   r12 = 0x00007f2c242a30e0
[task 2017-04-04T13:48:36.414801Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33ba60   r14 = 0x00007ffd5c33ba90
[task 2017-04-04T13:48:36.415507Z] 13:48:36     INFO -     r15 = 0x00007f2c2cd2b9a8   rip = 0x00007f2c521f6855
[task 2017-04-04T13:48:36.416206Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.417183Z] 13:48:36     INFO - 26  libxul.so!nsDocShell::EndPageLoad [nsDocShell.cpp:12afeda05d47 : 7671 + 0x18]
[task 2017-04-04T13:48:36.417907Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd2b800   rbp = 0x00007ffd5c33bf10
[task 2017-04-04T13:48:36.418594Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33bb30   r12 = 0x00007ffd5c33be40
[task 2017-04-04T13:48:36.419310Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f2c25a0a420
[task 2017-04-04T13:48:36.420021Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33bb70   rip = 0x00007f2c52ad1dea
[task 2017-04-04T13:48:36.420712Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.421423Z] 13:48:36     INFO - 27  libxul.so!nsDocShell::OnStateChange [nsDocShell.cpp:12afeda05d47 : 7465 + 0x18]
[task 2017-04-04T13:48:36.422137Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd2b800   rbp = 0x00007ffd5c33c040
[task 2017-04-04T13:48:36.422838Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33bf20   r12 = 0x00007ffd5c33bfa8
[task 2017-04-04T13:48:36.423562Z] 13:48:36     INFO -     r13 = 0x00007f2c2cd2b828   r14 = 0x00007f2c25a0a420
[task 2017-04-04T13:48:36.424262Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33bfb0   rip = 0x00007f2c52ad2f5e
[task 2017-04-04T13:48:36.424916Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.425663Z] 13:48:36     INFO - 28  libxul.so!nsDocLoader::DoFireOnStateChange [nsDocLoader.cpp:12afeda05d47 : 1276 + 0x2b]
[task 2017-04-04T13:48:36.426372Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd2b800   rbp = 0x00007ffd5c33c140
[task 2017-04-04T13:48:36.427065Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c050   r12 = 0x00007ffd5c33c17c
[task 2017-04-04T13:48:36.427768Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c080   r14 = 0x00007f2c25a0a420
[task 2017-04-04T13:48:36.428470Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c0b0   rip = 0x00007f2c50d26539
[task 2017-04-04T13:48:36.429839Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.430574Z] 13:48:36     INFO - 29  libxul.so!nsDocLoader::doStopDocumentLoad [nsDocLoader.cpp:12afeda05d47 : 860 + 0x24]
[task 2017-04-04T13:48:36.431287Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33c180   rbp = 0x00007ffd5c33c260
[task 2017-04-04T13:48:36.431985Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c150   r12 = 0x00007f2c2cd2b800
[task 2017-04-04T13:48:36.432688Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c1d0   r14 = 0x00007f2c25a0a420
[task 2017-04-04T13:48:36.433367Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c50d27bec
[task 2017-04-04T13:48:36.434061Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.434775Z] 13:48:36     INFO - 30  libxul.so!nsDocLoader::DocLoaderIsEmpty [nsDocLoader.cpp:12afeda05d47 : 749 + 0xf]
[task 2017-04-04T13:48:36.435513Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd2b800   rbp = 0x00007ffd5c33c2e0
[task 2017-04-04T13:48:36.436217Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c270   r12 = 0x00007ffd5c33c278
[task 2017-04-04T13:48:36.436930Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c298   r14 = 0x00007ffd5c33c288
[task 2017-04-04T13:48:36.437637Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c288   rip = 0x00007f2c50d27fed
[task 2017-04-04T13:48:36.438332Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.439046Z] 13:48:36     INFO - 31  libxul.so!nsDocLoader::OnStopRequest [nsDocLoader.cpp:12afeda05d47 : 631 + 0x16]
[task 2017-04-04T13:48:36.439796Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd2b800   rbp = 0x00007ffd5c33c3a0
[task 2017-04-04T13:48:36.440495Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c2f0   r12 = 0x00007ffd5c33c310
[task 2017-04-04T13:48:36.441201Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.441868Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c50d284a2
[task 2017-04-04T13:48:36.442572Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.443564Z] 13:48:36     INFO - 32  libxul.so!mozilla::net::nsLoadGroup::RemoveRequest [nsLoadGroup.cpp:12afeda05d47 : 629 + 0x1f]
[task 2017-04-04T13:48:36.444272Z] 13:48:36     INFO -     rbx = 0x00007f2c2cd5c9c0   rbp = 0x00007ffd5c33c480
[task 2017-04-04T13:48:36.444968Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c3b0   r12 = 0x00007f2c2586f6e0
[task 2017-04-04T13:48:36.445716Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.446416Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c3e8   rip = 0x00007f2c50675aa2
[task 2017-04-04T13:48:36.447107Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.447861Z] 13:48:36     INFO - 33  libxul.so!nsDocument::DoUnblockOnload [nsDocument.cpp:12afeda05d47 : 8889 + 0x20]
[task 2017-04-04T13:48:36.448573Z] 13:48:36     INFO -     rbx = 0x00007f2c25eac000   rbp = 0x00007ffd5c33c4c0
[task 2017-04-04T13:48:36.449279Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c490   r12 = 0x00007ffd5c33c490
[task 2017-04-04T13:48:36.449950Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c498   r14 = 0x00007ffd5c33c568
[task 2017-04-04T13:48:36.450656Z] 13:48:36     INFO -     r15 = 0x00007f2c24b15640   rip = 0x00007f2c51152dcd
[task 2017-04-04T13:48:36.451362Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.452366Z] 13:48:36     INFO - 34  libxul.so!nsDocument::UnblockOnload [nsDocument.cpp:12afeda05d47 : 8815 + 0x5]
[task 2017-04-04T13:48:36.453057Z] 13:48:36     INFO -     rbx = 0x00007f2c25eac000   rbp = 0x00007ffd5c33c500
[task 2017-04-04T13:48:36.453782Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c4d0   r12 = 0x0000000000000001
[task 2017-04-04T13:48:36.454504Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c558   r14 = 0x00007ffd5c33c568
[task 2017-04-04T13:48:36.455213Z] 13:48:36     INFO -     r15 = 0x00007f2c24b15640   rip = 0x00007f2c51152ea4
[task 2017-04-04T13:48:36.455901Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.456620Z] 13:48:36     INFO - 35  libxul.so!nsDocument::DispatchContentLoadedEvents [nsDocument.cpp:12afeda05d47 : 5289 + 0x11]
[task 2017-04-04T13:48:36.457322Z] 13:48:36     INFO -     rbx = 0x00007f2c25eac000   rbp = 0x00007ffd5c33c5b0
[task 2017-04-04T13:48:36.458016Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c510   r12 = 0x00007ffd5c33c570
[task 2017-04-04T13:48:36.458712Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c558   r14 = 0x00007ffd5c33c568
[task 2017-04-04T13:48:36.459424Z] 13:48:36     INFO -     r15 = 0x00007f2c24b15640   rip = 0x00007f2c511729b4
[task 2017-04-04T13:48:36.460109Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.460865Z] 13:48:36     INFO - 36  libxul.so!mozilla::detail::RunnableMethodImpl<nsDocument*, void (nsDocument::*)(), true, false>::Run [nsThreadUtils.h:12afeda05d47 : 899 + 0x5]
[task 2017-04-04T13:48:36.461575Z] 13:48:36     INFO -     rbx = 0x00007f2c4de7a160   rbp = 0x00007ffd5c33c5c0
[task 2017-04-04T13:48:36.462266Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c5c0   r12 = 0x00007ffd5c33c610
[task 2017-04-04T13:48:36.462958Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c648   r14 = 0x00007ffd5c33c5f0
[task 2017-04-04T13:48:36.463670Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c6bf   rip = 0x00007f2c5116d65e
[task 2017-04-04T13:48:36.464370Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.465076Z] 13:48:36     INFO - 37  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:12afeda05d47 : 1269 + 0x6]
[task 2017-04-04T13:48:36.465773Z] 13:48:36     INFO -     rbx = 0x00007f2c4de7a160   rbp = 0x00007ffd5c33c6a0
[task 2017-04-04T13:48:36.466469Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c5d0   r12 = 0x00007ffd5c33c610
[task 2017-04-04T13:48:36.467168Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33c648   r14 = 0x00007ffd5c33c5f0
[task 2017-04-04T13:48:36.467873Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c6bf   rip = 0x00007f2c505ee5b2
[task 2017-04-04T13:48:36.468569Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.469278Z] 13:48:36     INFO - 38  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:12afeda05d47 : 389 + 0x11]
[task 2017-04-04T13:48:36.469976Z] 13:48:36     INFO -     rbx = 0x00007f2c4de7a160   rbp = 0x00007ffd5c33c6d0
[task 2017-04-04T13:48:36.470682Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c6b0   r12 = 0x0000000000000000
[task 2017-04-04T13:48:36.471397Z] 13:48:36     INFO -     r13 = 0x00007f2c5fecadf0   r14 = 0x00007f2c4de7a160
[task 2017-04-04T13:48:36.472062Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c801   rip = 0x00007f2c505f06ba
[task 2017-04-04T13:48:36.472800Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.473511Z] 13:48:36     INFO - 39  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:12afeda05d47 : 96 + 0xa]
[task 2017-04-04T13:48:36.474224Z] 13:48:36     INFO -     rbx = 0x00007f2c5fecadc0   rbp = 0x00007ffd5c33c740
[task 2017-04-04T13:48:36.474924Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c6e0   r12 = 0x00007f2c4de139e0
[task 2017-04-04T13:48:36.475641Z] 13:48:36     INFO -     r13 = 0x00007f2c5fecadf0   r14 = 0x00007f2c4de7a160
[task 2017-04-04T13:48:36.476331Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c801   rip = 0x00007f2c50990351
[task 2017-04-04T13:48:36.477015Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.477722Z] 13:48:36     INFO - 40  libxul.so!MessageLoop::RunInternal [message_loop.cc:12afeda05d47 : 238 + 0x17]
[task 2017-04-04T13:48:36.478421Z] 13:48:36     INFO -     rbx = 0x00007f2c4de139e0   rbp = 0x00007ffd5c33c780
[task 2017-04-04T13:48:36.479128Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c750   r12 = 0x00007f2c4de7a160
[task 2017-04-04T13:48:36.479832Z] 13:48:36     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffd5c33c868
[task 2017-04-04T13:48:36.480527Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c898   rip = 0x00007f2c5096057f
[task 2017-04-04T13:48:36.481216Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.481919Z] 13:48:36     INFO - 41  libxul.so!MessageLoop::Run [message_loop.cc:12afeda05d47 : 231 + 0x8]
[task 2017-04-04T13:48:36.482625Z] 13:48:36     INFO -     rbx = 0x00007f2c4de139e0   rbp = 0x00007ffd5c33c7c0
[task 2017-04-04T13:48:36.483325Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c790   r12 = 0x00007f2c4de7a160
[task 2017-04-04T13:48:36.484035Z] 13:48:36     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffd5c33c868
[task 2017-04-04T13:48:36.484729Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c898   rip = 0x00007f2c509605a6
[task 2017-04-04T13:48:36.485434Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.486141Z] 13:48:36     INFO - 42  libxul.so!nsBaseAppShell::Run [nsBaseAppShell.cpp:12afeda05d47 : 156 + 0xd]
[task 2017-04-04T13:48:36.487140Z] 13:48:36     INFO -     rbx = 0x00007f2c48d02d30   rbp = 0x00007ffd5c33c7e0
[task 2017-04-04T13:48:36.487840Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c7d0   r12 = 0x00007f2c4de7a160
[task 2017-04-04T13:48:36.488553Z] 13:48:36     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffd5c33c868
[task 2017-04-04T13:48:36.489247Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c898   rip = 0x00007f2c51fb6acf
[task 2017-04-04T13:48:36.489940Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.490631Z] 13:48:36     INFO - 43  libxul.so!nsAppStartup::Run [nsAppStartup.cpp:12afeda05d47 : 283 + 0x6]
[task 2017-04-04T13:48:36.491342Z] 13:48:36     INFO -     rbx = 0x00007f2c4904f1f0   rbp = 0x00007ffd5c33c800
[task 2017-04-04T13:48:36.492049Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c7f0   r12 = 0x00007ffd5c33c8b0
[task 2017-04-04T13:48:36.492740Z] 13:48:36     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffd5c33c868
[task 2017-04-04T13:48:36.493446Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c898   rip = 0x00007f2c52cec24d
[task 2017-04-04T13:48:36.494117Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.494831Z] 13:48:36     INFO - 44  libxul.so!XREMain::XRE_mainRun [nsAppRunner.cpp:12afeda05d47 : 4520 + 0x11]
[task 2017-04-04T13:48:36.495543Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33c8f0   rbp = 0x00007ffd5c33c980
[task 2017-04-04T13:48:36.496234Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c810   r12 = 0x00007ffd5c33c8b0
[task 2017-04-04T13:48:36.496971Z] 13:48:36     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffd5c33c868
[task 2017-04-04T13:48:36.497667Z] 13:48:36     INFO -     r15 = 0x00007ffd5c33c898   rip = 0x00007f2c52d68331
[task 2017-04-04T13:48:36.498380Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.499082Z] 13:48:36     INFO - 45  libxul.so!XREMain::XRE_main [nsAppRunner.cpp:12afeda05d47 : 4700 + 0x5]
[task 2017-04-04T13:48:36.499789Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ca50   rbp = 0x00007ffd5c33ca30
[task 2017-04-04T13:48:36.500487Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33c990   r12 = 0x00007ffd5c33c9f0
[task 2017-04-04T13:48:36.501158Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33cac8   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.501866Z] 13:48:36     INFO -     r15 = 0x00007f2c5fe7fd80   rip = 0x00007f2c52d68a8e
[task 2017-04-04T13:48:36.502592Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.503285Z] 13:48:36     INFO - 46  libxul.so!XRE_main [nsAppRunner.cpp:12afeda05d47 : 4791 + 0x5]
[task 2017-04-04T13:48:36.503985Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33ca50   rbp = 0x00007ffd5c33cc20
[task 2017-04-04T13:48:36.504700Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33ca40   r12 = 0x0000000000000004
[task 2017-04-04T13:48:36.505393Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33dd68   r14 = 0x00007ffd5c33cc30
[task 2017-04-04T13:48:36.506087Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c52d68d52
[task 2017-04-04T13:48:36.506750Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.507468Z] 13:48:36     INFO - 47  firefox!do_main [nsBrowserApp.cpp:12afeda05d47 : 236 + 0x22]
[task 2017-04-04T13:48:36.508173Z] 13:48:36     INFO -     rbx = 0x0000000000000004   rbp = 0x00007ffd5c33dc50
[task 2017-04-04T13:48:36.508860Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33cc30   r12 = 0x00007ffd5c33dd68
[task 2017-04-04T13:48:36.509576Z] 13:48:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007ffd5c33dd90
[task 2017-04-04T13:48:36.510279Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x0000000000406466
[task 2017-04-04T13:48:36.510964Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.511685Z] 13:48:36     INFO - 48  firefox!main [nsBrowserApp.cpp:12afeda05d47 : 307 + 0xe]
[task 2017-04-04T13:48:36.512382Z] 13:48:36     INFO -     rbx = 0x00007ffd5c33dd68   rbp = 0x00007ffd5c33dc80
[task 2017-04-04T13:48:36.513047Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33dc60   r12 = 0x0000000000000004
[task 2017-04-04T13:48:36.513750Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33dd90   r14 = 0x000008c5d762420d
[task 2017-04-04T13:48:36.514457Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x0000000000405c2e
[task 2017-04-04T13:48:36.515158Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.515881Z] 13:48:36     INFO - 49  libc-2.23.so + 0x20830
[task 2017-04-04T13:48:36.516552Z] 13:48:36     INFO -     rbx = 0x0000000000000000   rbp = 0x000000000041da90
[task 2017-04-04T13:48:36.517257Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33dc90   r12 = 0x0000000000405e58
[task 2017-04-04T13:48:36.518267Z] 13:48:36     INFO -     r13 = 0x00007ffd5c33dd60   r14 = 0x0000000000000000
[task 2017-04-04T13:48:36.518955Z] 13:48:36     INFO -     r15 = 0x0000000000000000   rip = 0x00007f2c60061830
[task 2017-04-04T13:48:36.519646Z] 13:48:36     INFO -     Found by: call frame info
[task 2017-04-04T13:48:36.520365Z] 13:48:36     INFO - 50  firefox!MOZ_ReportAssertionFailure [Assertions.h:12afeda05d47 : 164 + 0x5]
[task 2017-04-04T13:48:36.521058Z] 13:48:36     INFO -     rsp = 0x00007ffd5c33dcb0   rip = 0x0000000000405ba3
[task 2017-04-04T13:48:36.521749Z] 13:48:36     INFO -     Found by: stack scanning
Flags: needinfo?(ato)
(Assignee)

Comment 89

a year ago
Thanks to RyanVM, I found that reftests use their own default preferences file, layout/tools/reftest/reftest-preferences.js.

The changes in these patches are causing the recommended automation preferences to be picked up by reftests because an entry for marionette.recommended.prefs is missing there.  We already have it in place in testing/profiles/prefs_general.js, which is why mochitest isn’t affected.
Flags: needinfo?(ato)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 101

a year ago
mozreview-review
Comment on attachment 8854482 [details]
Bug 1350887 - Skip recommended Marionette prefs for reftests;

https://reviewboard.mozilla.org/r/126424/#review129034

I'm not that happy that it can cause leaks if other harnesses use Marionette and do not specify this preference. It's a pave-over patch to hide it for reftests leakage monitor, but please file a new bug with details in how to reproduce it. We should get this fixed too.

r=me with that done.

::: layout/tools/reftest/reftest-preferences.js:138
(Diff revision 3)
>  user_pref("media.openUnsupportedTypeWithExternalApp", false);
> +
> +// Disable all recommended Marionette preferences for Gecko tests.
> +// The prefs recommended by Marionette are typically geared towards
> +// consumer automation; not vendor testing.
> +user_pref("marionette.prefs.recommended", false);

Can you please move this commit up to the beginning of the commit series? At its current location it would cause test breakage if someone wants to do a regression test and lands in the middle of your patches. Basically thats's what we are trying to avoid, and can here by moving it up. Thanks.
Attachment #8854482 - Flags: review?(hskupin) → review+
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 110

a year ago
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/44dd945e29ea
Ensure Marionette prefs file has sensible name; r=maja_zf
https://hg.mozilla.org/integration/autoland/rev/b36efe8160d8
Add general overview documentation to Marionette; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/b548f63d4a81
Skip recommended Marionette prefs for reftests; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/6f536b2275ae
Include Marionette prefs amongst defaults; r=ted,whimboo
https://hg.mozilla.org/integration/autoland/rev/a493e86fcf0d
Fall back to deprecated pref if it exists; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/22c6444a3245
Bind sacrificial goat to ephemeral port; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/770304022512
Propagate errors thrown when starting server.TCPListener; r=whimboo
https://hg.mozilla.org/integration/autoland/rev/2d8c0b46bd47
Warn when non-loopback connections are allowed; r=whimboo
(Assignee)

Comment 112

a year ago
Sheriffs: Please uplift to Aurora as test-only.
Whiteboard: [checkin-needed-aurora]
Blocks: 1344748
status-firefox53: --- → unaffected
status-firefox54: --- → affected
No longer depends on: 1344748
status-firefox52: --- → unaffected
status-firefox-esr52: --- → unaffected
status-firefox53: unaffected → affected
Whiteboard: [needs bug 1344748 uplifted first]
I just talked to Ryan on IRC and the deadline for 53 is nowish! So no way to get this uplifted anymore. :(
status-firefox53: affected → wontfix
You need to log in before you can comment on or make changes to this bug.